HepMC3 event record library: Setup Class Reference

HepMC3 event record library

Private Member Functions | Static Private Attributes
Setup Class Reference

## Detailed Description

Configuration for HepMC.

Contains macro definitions for printing debug output, feature deprecation, etc. Static class - configuration is shared among all HepMC events and program threads

Definition at line 22 of file Setup.h.

`#include <Setup.h>`

## Static Public Member Functions
Accessors
static bool | print_errors ()
| Get error messages printing flag.
static void | set_print_errors (const bool flag)
| set error messages printing flag
static int | errors_level ()
| Get error messages printing level.
static void | set_errors_level (const int flag)
| set error messages printing level
static bool | print_warnings ()
| Get warning messages printing flag.
static void | set_print_warnings (const bool flag)
| Set warning messages printing flag.
static int | warnings_level ()
| Get warning messages printing level.
static void | set_warnings_level (const int flag)
| Set warning messages printing level.
static int | debug_level ()
| Get debug level.
static void | set_debug_level (const int level)
| Set debug level.

## Static Public Attributes
Static constants
static const unsigned int | DEFAULT_DOUBLE_ALMOST_EQUAL_MAXULPS = 10
| Default maxUlps for AlmostEqual2sComplement function (double precision).
static const double | DOUBLE_EPSILON = 10e-20
| Default threshold for comparing double variables.

## Private Member Functions
| Setup ()
| Private constructor.
| ~Setup ()
| Private destructor.

## Static Private Attributes
static int | m_errors_level = 1000
| Level for printing error messages.
static int | m_warnings_level = 750
| Level for printing warnings messages.
static bool | m_is_printing_errors = true
| Flag for printing error messages.
static bool | m_is_printing_warnings = true
| Flag for printing warning messages.
static int | m_debug_level = 5
| Level of debug messages printed out.

## Constructor & Destructor Documentation

## ◆ Setup()

Setup | ( |  | ) |
| inlineprivate

Private constructor.

Definition at line 25 of file Setup.h.

## ◆ ~Setup()

~Setup | ( |  | ) |
| inlineprivate

Private destructor.

Definition at line 27 of file Setup.h.

## Member Function Documentation

## ◆ debug_level()

int debug_level | ( |  | ) |
| static

Get debug level.

Definition at line 21 of file Setup.cc.

References m_debug_level.

## ◆ errors_level()

int errors_level | ( |  | ) |
| static

Get error messages printing level.

Definition at line 23 of file Setup.cc.

References m_errors_level.

## ◆ print_errors()

bool print_errors | ( |  | ) |
| static

Get error messages printing flag.

Definition at line 17 of file Setup.cc.

References m_is_printing_errors.

## ◆ print_warnings()

bool print_warnings | ( |  | ) |
| static

Get warning messages printing flag.

Definition at line 19 of file Setup.cc.

References m_is_printing_warnings.

## ◆ set_debug_level()

void set_debug_level | ( | const int | level | ) |
| static

Set debug level.

Definition at line 22 of file Setup.cc.

References m_debug_level.

## ◆ set_errors_level()

void set_errors_level | ( | const int | flag | ) |
| static

set error messages printing level

Definition at line 24 of file Setup.cc.

References m_errors_level.

## ◆ set_print_errors()

void set_print_errors | ( | const bool | flag | ) |
| static

set error messages printing flag

Definition at line 18 of file Setup.cc.

References m_is_printing_errors.

## ◆ set_print_warnings()

void set_print_warnings | ( | const bool | flag | ) |
| static

Set warning messages printing flag.

Definition at line 20 of file Setup.cc.

References m_is_printing_warnings.

## ◆ set_warnings_level()

void set_warnings_level | ( | const int | flag | ) |
| static

Set warning messages printing level.

Definition at line 26 of file Setup.cc.

References m_warnings_level.

## ◆ warnings_level()

int warnings_level | ( |  | ) |
| static

Get warning messages printing level.

Definition at line 25 of file Setup.cc.

References m_warnings_level.

## Field Documentation

## ◆ DEFAULT_DOUBLE_ALMOST_EQUAL_MAXULPS

const unsigned int DEFAULT_DOUBLE_ALMOST_EQUAL_MAXULPS = 10
| static

Default maxUlps for AlmostEqual2sComplement function (double precision).

Definition at line 67 of file Setup.h.

## ◆ DOUBLE_EPSILON

const double DOUBLE_EPSILON = 10e-20
| static

Default threshold for comparing double variables.

Definition at line 70 of file Setup.h.

## ◆ m_debug_level

int m_debug_level = 5
| staticprivate

Level of debug messages printed out.

Definition at line 81 of file Setup.h.

## ◆ m_errors_level

int m_errors_level = 1000
| staticprivate

Level for printing error messages.

Definition at line 77 of file Setup.h.

## ◆ m_is_printing_errors

bool m_is_printing_errors = true
| staticprivate

Flag for printing error messages.

Definition at line 79 of file Setup.h.

## ◆ m_is_printing_warnings

bool m_is_printing_warnings = true
| staticprivate

Flag for printing warning messages.

Definition at line 80 of file Setup.h.

## ◆ m_warnings_level

int m_warnings_level = 750
| staticprivate

Level for printing warnings messages.

Definition at line 78 of file Setup.h.

The documentation for this class was generated from the following files:

- Setup.h
- Setup.cc